<!DOCTYPE HTML>
<html xmlns:th="http://www.springframework.org/schema/mvc">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
</head>
<body>
<p id="filesContainer"></p>

<script th:inline="javascript">
    var str = '<ul>'
    var csvDtos = [[${csvInfoDtos}]]

    csvDtos.forEach(function(csvDto) {
        var message = csvDto.fileName + " has " + csvDto.rowCount + "rows. Columns:"
        csvDto.columns.forEach(function(column) {
            message += "<p>      " + column.name + " (" + column.missingRowCount + " missing/empty rows)</p>"
        })
        str += '<li>' + message + '</li>';
    });

    str += '</ul>';
    document.getElementById("filesContainer").innerHTML = str;
</script>

</body>
</html>

